public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-11-14  8:58 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-11-14  8:58 UTC (permalink / raw
  To: gentoo-commits

tove        09/11/14 08:58:50

  Modified:             perl-module.eclass
  Log:
  Add alternatives support for >=dev-lang/perl-5.8.8-r8

Revision  Changes    Path
1.119                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.119&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.119&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.118&r2=1.119

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.118
retrieving revision 1.119
diff -u -r1.118 -r1.119
--- perl-module.eclass	10 Nov 2009 12:53:53 -0000	1.118
+++ perl-module.eclass	14 Nov 2009 08:58:50 -0000	1.119
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.118 2009/11/10 12:53:53 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.119 2009/11/14 08:58:50 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -253,7 +253,7 @@
 }
 
 linkduallifescripts() {
-	if [[ ${CATEGORY} != perl-core ]] || ! has_version ">=dev-lang/perl-5.10.1" ; then
+	if [[ ${CATEGORY} != perl-core ]] || ! has_version ">=dev-lang/perl-5.8.8-r8" ; then
 		return 0
 	fi
 






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2014-11-01 22:08 Patrice Clement (monsieurp)
  0 siblings, 0 replies; 22+ messages in thread
From: Patrice Clement (monsieurp) @ 2014-11-01 22:08 UTC (permalink / raw
  To: gentoo-commits

monsieurp    14/11/01 22:08:54

  Modified:             perl-module.eclass
  Log:
  Introducing perl_rm_files() function. See #520756.

Revision  Changes    Path
1.145                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.145&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.145&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.144&r2=1.145

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.144
retrieving revision 1.145
diff -u -r1.144 -r1.145
--- perl-module.eclass	1 Nov 2014 17:34:28 -0000	1.144
+++ perl-module.eclass	1 Nov 2014 22:08:54 -0000	1.145
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.144 2014/11/01 17:34:28 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.145 2014/11/01 22:08:54 monsieurp Exp $
 
 # @ECLASS: perl-module.eclass
 # @MAINTAINER:
@@ -122,6 +122,10 @@
 	[[ ${PATCHES[@]} ]] && epatch "${PATCHES[@]}"
 	debug-print "$FUNCNAME: applying user patches"
 	epatch_user
+	if [[ ${PERL_RM_FILES[@]} ]]; then
+		debug-print "$FUNCNAME: stripping unneeded files"
+		perl_rm_files "${PERL_RM_FILES[@]}"
+	fi
 	perl_fix_osx_extra
 	esvn_clean
 }
@@ -398,6 +402,42 @@
 	done
 }
 
+# @FUNCTION: perl_rm_files
+# @USAGE: perl_rm_files "file_1" "file_2"
+# @DESCRIPTION:
+# Remove certain files from a Perl release and remove them from the MANIFEST
+# while we're there.
+#
+# Most useful in src_prepare for nuking bad tests, and is highly recommended
+# for any tests like 'pod.t', 'pod-coverage.t' or 'kwalitee.t', as what they
+# test is completely irrelevant to end users, and frequently fail simply
+# because the authors of Test::Pod... changed their recommendations, and thus
+# failures are only useful feedback to Authors, not users.
+#
+# Removing from MANIFEST also avoids needless log messages warning
+# users about files "missing from their kit".
+perl_rm_files() {
+	debug-print-function $FUNCNAME "$@"
+	local skipfile="${T}/.gentoo_makefile_skip"
+	local manifile="${S}/MANIFEST"
+	local manitemp="${T}/.gentoo_manifest_temp"
+	oldifs="$IFS"
+	IFS="\n"
+	for filename in "$@"; do
+		einfo "Removing un-needed ${filename}";
+		# Remove the file
+		rm -f "${S}/${filename}"
+		[[ -e "${manifile}" ]] && echo "${filename}" >> "${skipfile}"
+	done
+	if [[ -e "${manifile}" && -e "${skipfile}" ]]; then
+		einfo "Fixing Manifest"
+		grep -v -F -f "${skipfile}" "${manifile}" > "${manitemp}"
+		mv -f -- "${manitemp}" "${manifile}"
+		rm -- "${skipfile}";
+	fi
+	IFS="$oldifs"
+}
+
 perl_link_duallife_scripts() {
 	debug-print-function $FUNCNAME "$@"
 	if [[ ${CATEGORY} != perl-core ]] || ! has_version ">=dev-lang/perl-5.8.8-r8" ; then





^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2014-03-30 19:25 Mikle Kolyada (zlogene)
  0 siblings, 0 replies; 22+ messages in thread
From: Mikle Kolyada (zlogene) @ 2014-03-30 19:25 UTC (permalink / raw
  To: gentoo-commits

zlogene     14/03/30 19:25:14

  Modified:             perl-module.eclass
  Log:
  Drop base.eclass (bug #497048)

Revision  Changes    Path
1.139                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.139&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.139&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.138&r2=1.139

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.138
retrieving revision 1.139
diff -u -r1.138 -r1.139
--- perl-module.eclass	29 Dec 2013 21:37:09 -0000	1.138
+++ perl-module.eclass	30 Mar 2014 19:25:14 -0000	1.139
@@ -1,6 +1,6 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.138 2013/12/29 21:37:09 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.139 2014/03/30 19:25:14 zlogene Exp $
 
 # @ECLASS: perl-module.eclass
 # @MAINTAINER:
@@ -12,7 +12,7 @@
 # The perl-module eclass is designed to allow easier installation of perl
 # modules, and their incorporation into the Gentoo Linux system.
 
-inherit eutils base multiprocessing
+inherit eutils multiprocessing unpacker
 [[ ${CATEGORY} == "perl-core" ]] && inherit alternatives
 
 PERL_EXPF="src_unpack src_compile src_test src_install"
@@ -87,13 +87,16 @@
 
 perl-module_src_unpack() {
 	debug-print-function $FUNCNAME "$@"
-	base_src_unpack
+	unpacker_src_unpack
 	has src_prepare ${PERL_EXPF} || perl-module_src_prepare
 }
 
 perl-module_src_prepare() {
 	debug-print-function $FUNCNAME "$@"
-	has src_prepare ${PERL_EXPF} && base_src_prepare
+	has src_prepare ${PERL_EXPF} && \
+	[[ ${PATCHES[@]} ]] && epatch "${PATCHES[@]}"
+	debug-print "$FUNCNAME: applying user patches"
+	epatch_user
 	perl_fix_osx_extra
 	esvn_clean
 }





^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2011-08-09 11:48 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2011-08-09 11:48 UTC (permalink / raw
  To: gentoo-commits

tove        11/08/09 11:48:31

  Modified:             perl-module.eclass
  Log:
  Add dual-life scripts and man pages in two arrays. PERL_MM_USE_DEFAULT suppressed pm_echovar.

Revision  Changes    Path
1.130                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.130&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.130&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.129&r2=1.130

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.129
retrieving revision 1.130
diff -u -r1.129 -r1.130
--- perl-module.eclass	30 Jan 2011 08:18:42 -0000	1.129
+++ perl-module.eclass	9 Aug 2011 11:48:31 -0000	1.130
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.129 2011/01/30 08:18:42 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.130 2011/08/09 11:48:31 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -54,12 +54,11 @@
 
 LICENSE="${LICENSE:-|| ( Artistic GPL-1 GPL-2 GPL-3 )}"
 
-# TODO: Document variables: MODULE_VERSION, MODULE_A, MODULE_A_EXT,
-# MODULE_AUTHOR, MODULE_SECTION, GENTOO_DEPEND_ON_PERL, PREFER_BUILDPL
 if [[ -n ${MY_PN} || -n ${MY_PV} || -n ${MODULE_VERSION} ]] ; then
 	: ${MY_P:=${MY_PN:-${PN}}-${MY_PV:-${MODULE_VERSION:-${PV}}}}
 	S=${MY_S:-${WORKDIR}/${MY_P}}
 fi
+
 [[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && \
 	MODULE_A="${MY_P:-${P}}.${MODULE_A_EXT:-tar.gz}"
 [[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \
@@ -100,7 +99,7 @@
 	perl_set_version
 	perl_set_eprefix
 
-	export PERL_MM_USE_DEFAULT=1
+	[[ -z ${pm_echovar} ]] && export PERL_MM_USE_DEFAULT=1
 	# Disable ExtUtils::AutoInstall from prompting
 	export PERL_EXTUTILS_AUTOINSTALL="--skipdeps"
 
@@ -370,19 +369,23 @@
 	local i ff
 	if has "${EBUILD_PHASE:-none}" "postinst" "postrm" ; then
 		for i in "${DUALLIFESCRIPTS[@]}" ; do
-			alternatives_auto_makesym "/usr/bin/${i}" "/usr/bin/${i}-[0-9]*"
-			ff=`echo "${EROOT}"/usr/share/man/man1/${i}-${PV}-${P}.1*`
+			alternatives_auto_makesym "/${i}" "/${i}-[0-9]*"
+		done
+		for i in "${DUALLIFEMAN[@]}" ; do
+			ff=`echo "${EROOT}"/${i%.1}-${PV}-${P}.1*`
 			ff=${ff##*.1}
-			alternatives_auto_makesym "/usr/share/man/man1/${i}.1${ff}" "/usr/share/man/man1/${i}-[0-9]*"
+			alternatives_auto_makesym "/${i}${ff}" "/${i%.1}-[0-9]*"
 		done
 	else
 		pushd "${ED}" > /dev/null
 		for i in $(find usr/bin -maxdepth 1 -type f 2>/dev/null) ; do
 			mv ${i}{,-${PV}-${P}} || die
-			DUALLIFESCRIPTS[${#DUALLIFESCRIPTS[*]}]=${i##*/}
-			if [[ -f usr/share/man/man1/${i##*/}.1 ]] ; then
-				mv usr/share/man/man1/${i##*/}{.1,-${PV}-${P}.1} || die
-			fi
+			#DUALLIFESCRIPTS[${#DUALLIFESCRIPTS[*]}]=${i##*/}
+			DUALLIFESCRIPTS[${#DUALLIFESCRIPTS[*]}]=${i}
+		done
+		for i in $(find usr/share/man/man1 -maxdepth 1 -type f 2>/dev/null) ; do
+			mv ${i} ${i%.1}-${PV}-${P}.1 || die
+			DUALLIFEMAN[${#DUALLIFEMAN[*]}]=${i}
 		done
 		popd > /dev/null
 	fi






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2011-01-30  8:18 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2011-01-30  8:18 UTC (permalink / raw
  To: gentoo-commits

tove        11/01/30 08:18:42

  Modified:             perl-module.eclass
  Log:
  Add EAPI=4 support

Revision  Changes    Path
1.129                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.129&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.129&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.128&r2=1.129

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.128
retrieving revision 1.129
diff -u -r1.128 -r1.129
--- perl-module.eclass	23 Jan 2011 22:12:13 -0000	1.128
+++ perl-module.eclass	30 Jan 2011 08:18:42 -0000	1.129
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.128 2011/01/23 22:12:13 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.129 2011/01/30 08:18:42 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -21,7 +21,7 @@
 	0|1)
 		PERL_EXPF+=" pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm"
 		;;
-	2|3)
+	2|3|4)
 		PERL_EXPF+=" src_prepare src_configure"
 		[[ ${CATEGORY} == "perl-core" ]] && \
 			PERL_EXPF+=" pkg_postinst pkg_postrm"






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2011-01-23 22:12 Robin H. Johnson (robbat2)
  0 siblings, 0 replies; 22+ messages in thread
From: Robin H. Johnson (robbat2) @ 2011-01-23 22:12 UTC (permalink / raw
  To: gentoo-commits

robbat2     11/01/23 22:12:13

  Modified:             perl-module.eclass
  Log:
  Add MODULE_A_EXT for g-cpan ease of use where upstream has other file extensions. Add reminder to document the variables later.

Revision  Changes    Path
1.128                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.128&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.128&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.127&r2=1.128

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.127
retrieving revision 1.128
diff -p -w -b -B -u -u -r1.127 -r1.128
--- perl-module.eclass	12 Jan 2011 15:44:24 -0000	1.127
+++ perl-module.eclass	23 Jan 2011 22:12:13 -0000	1.128
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.127 2011/01/12 15:44:24 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.128 2011/01/23 22:12:13 robbat2 Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -54,11 +54,14 @@ DESCRIPTION="Based on the $ECLASS eclass
 
 LICENSE="${LICENSE:-|| ( Artistic GPL-1 GPL-2 GPL-3 )}"
 
+# TODO: Document variables: MODULE_VERSION, MODULE_A, MODULE_A_EXT,
+# MODULE_AUTHOR, MODULE_SECTION, GENTOO_DEPEND_ON_PERL, PREFER_BUILDPL
 if [[ -n ${MY_PN} || -n ${MY_PV} || -n ${MODULE_VERSION} ]] ; then
 	: ${MY_P:=${MY_PN:-${PN}}-${MY_PV:-${MODULE_VERSION:-${PV}}}}
 	S=${MY_S:-${WORKDIR}/${MY_P}}
 fi
-[[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && MODULE_A="${MY_P:-${P}}.tar.gz"
+[[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && \
+	MODULE_A="${MY_P:-${P}}.${MODULE_A_EXT:-tar.gz}"
 [[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \
 	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION:+${MODULE_SECTION}/}${MODULE_A}"
 [[ -z "${HOMEPAGE}" ]] && \






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2011-01-12 15:44 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2011-01-12 15:44 UTC (permalink / raw
  To: gentoo-commits

tove        11/01/12 15:44:25

  Modified:             perl-module.eclass
  Log:
  - Die if EAPI is unsupported
  - Die if PERL_EXPORT_PHASE_FUNCTIONS not yes or no
  - Add support for MY_PN, MY_PV, MODULE_VERSION
  - Allow use of myconf, mymake, myinst as arrays
  - Use Module::Build even if Module::Build is not prefered but no Makefile.PL is found

Revision  Changes    Path
1.127                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.127&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.127&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.126&r2=1.127

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.126
retrieving revision 1.127
diff -u -r1.126 -r1.127
--- perl-module.eclass	15 Jul 2010 11:44:48 -0000	1.126
+++ perl-module.eclass	12 Jan 2011 15:44:24 -0000	1.127
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.126 2010/07/15 11:44:48 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.127 2011/01/12 15:44:24 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -34,7 +34,7 @@
 		esac
 		;;
 	*)
-		DEPEND="EAPI-UNSUPPORTED"
+		die "EAPI=${EAPI} is not supported by perl-module.eclass"
 		;;
 esac
 
@@ -46,7 +46,7 @@
 		debug-print "PERL_EXPORT_PHASE_FUNCTIONS=no"
 		;;
 	*)
-		DEPEND+=" PERL_EXPORT_PHASE_FUNCTIONS-UNSUPPORTED"
+		die "PERL_EXPORT_PHASE_FUNCTIONS=${PERL_EXPORT_PHASE_FUNCTIONS} is not supported by perl-module.eclass"
 		;;
 esac
 
@@ -54,6 +54,10 @@
 
 LICENSE="${LICENSE:-|| ( Artistic GPL-1 GPL-2 GPL-3 )}"
 
+if [[ -n ${MY_PN} || -n ${MY_PV} || -n ${MODULE_VERSION} ]] ; then
+	: ${MY_P:=${MY_PN:-${PN}}-${MY_PV:-${MODULE_VERSION:-${PV}}}}
+	S=${MY_S:-${WORKDIR}/${MY_P}}
+fi
 [[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && MODULE_A="${MY_P:-${P}}.tar.gz"
 [[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \
 	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION:+${MODULE_SECTION}/}${MODULE_A}"
@@ -97,21 +101,31 @@
 	# Disable ExtUtils::AutoInstall from prompting
 	export PERL_EXTUTILS_AUTOINSTALL="--skipdeps"
 
-	if [[ ${PREFER_BUILDPL} == yes && -f Build.PL ]] ; then
+	if [[ $(declare -p myconf 2>&-) != "declare -a myconf="* ]]; then
+		local myconf_local=(${myconf})
+	else
+		local myconf_local=("${myconf[@]}")
+	fi
+
+	if [[ ( ${PREFER_BUILDPL} == yes || ! -f Makefile.PL ) && -f Build.PL ]] ; then
 		einfo "Using Module::Build"
 		if [[ ${DEPEND} != *virtual/perl-Module-Build* && ${PN} != Module-Build ]] ; then
 			eqawarn "QA Notice: The ebuild uses Module::Build but doesn't depend on it."
 			eqawarn "           Add virtual/perl-Module-Build to DEPEND!"
+			if [[ -n ${PERLQAFATAL} ]]; then
+				eerror "Bailing out due to PERLQAFATAL=1";
+				die;
+			fi
 		fi
 		set -- \
 			--installdirs=vendor \
 			--libdoc= \
 			--destdir="${D}" \
 			--create_packlist=0 \
-			${myconf}
+			"${myconf_local[@]}"
 		einfo "perl Build.PL" "$@"
 		perl Build.PL "$@" <<< "${pm_echovar}" \
-				|| die "Unable to build! (are you using USE=\"build\"?)"
+				|| die "Unable to build!"
 	elif [[ -f Makefile.PL ]] ; then
 		einfo "Using ExtUtils::MakeMaker"
 		set -- \
@@ -119,10 +133,10 @@
 			INSTALLDIRS=vendor \
 			INSTALLMAN3DIR='none' \
 			DESTDIR="${D}" \
-			${myconf}
+			"${myconf_local[@]}"
 		einfo "perl Makefile.PL" "$@"
 		perl Makefile.PL "$@" <<< "${pm_echovar}" \
-				|| die "Unable to build! (are you using USE=\"build\"?)"
+				|| die "Unable to build!"
 	fi
 	if [[ ! -f Build.PL && ! -f Makefile.PL ]] ; then
 		einfo "No Make or Build file detected..."
@@ -136,14 +150,22 @@
 
 	has src_configure ${PERL_EXPF} || perl-module_src_prep
 
+	if [[ $(declare -p mymake 2>&-) != "declare -a mymake="* ]]; then
+		local mymake_local=(${mymake})
+	else
+		local mymake_local=("${mymake[@]}")
+	fi
+
 	if [[ -f Build ]] ; then
 		./Build build \
-			|| die "compilation failed"
+			|| die "Compilation failed"
 	elif [[ -f Makefile ]] ; then
-		emake \
+		set -- \
 			OTHERLDFLAGS="${LDFLAGS}" \
-			${mymake} \
-				|| die "compilation failed"
+			"${mymake_local[@]}"
+		einfo "emake" "$@"
+		emake "$@" \
+			|| die "Compilation failed"
 #			OPTIMIZE="${CFLAGS}" \
 	fi
 }
@@ -200,12 +222,18 @@
 		esac
 	fi
 
+	if [[ $(declare -p myinst 2>&-) != "declare -a myinst="* ]]; then
+		local myinst_local=(${myinst})
+	else
+		local myinst_local=("${myinst[@]}")
+	fi
+
 	if [[ -f Build ]] ; then
 		./Build ${mytargets} \
 			|| die "./Build ${mytargets} failed"
 	elif [[ -f Makefile ]] ; then
-		emake ${myinst} ${mytargets} \
-			|| die "emake ${myinst} ${mytargets} failed"
+		emake "${myinst_local[@]}" ${mytargets} \
+			|| die "emake ${myinst_local[@]} ${mytargets} failed"
 	fi
 
 	perl_delete_module_manpages






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2010-07-15 11:44 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2010-07-15 11:44 UTC (permalink / raw
  To: gentoo-commits

tove        10/07/15 11:44:48

  Modified:             perl-module.eclass
  Log:
  Use eqawarn for the missing Module-Build dependency warning

Revision  Changes    Path
1.126                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.126&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.126&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.125&r2=1.126

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.125
retrieving revision 1.126
diff -u -r1.125 -r1.126
--- perl-module.eclass	16 Jun 2010 08:54:46 -0000	1.125
+++ perl-module.eclass	15 Jul 2010 11:44:48 -0000	1.126
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.125 2010/06/16 08:54:46 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.126 2010/07/15 11:44:48 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -100,8 +100,8 @@
 	if [[ ${PREFER_BUILDPL} == yes && -f Build.PL ]] ; then
 		einfo "Using Module::Build"
 		if [[ ${DEPEND} != *virtual/perl-Module-Build* && ${PN} != Module-Build ]] ; then
-			ewarn "QA Notice: The ebuild uses Module::Build but doesn't depend on it."
-			ewarn "           Add virtual/perl-Module-Build to DEPEND!"
+			eqawarn "QA Notice: The ebuild uses Module::Build but doesn't depend on it."
+			eqawarn "           Add virtual/perl-Module-Build to DEPEND!"
 		fi
 		set -- \
 			--installdirs=vendor \






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2010-06-16  8:54 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2010-06-16  8:54 UTC (permalink / raw
  To: gentoo-commits

tove        10/06/16 08:54:46

  Modified:             perl-module.eclass
  Log:
  .packlist and *.bs files are installed to VENDOR_ARCH not VENDOR_LIB. Deleting all empty directories shouldn't do any harm as perl_delete_localpod does it before and it is needed if VENDOR_ARCH is not a subdirectory of VENDOR_LIB

Revision  Changes    Path
1.125                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.125&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?rev=1.125&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/perl-module.eclass?r1=1.124&r2=1.125

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.124
retrieving revision 1.125
diff -u -r1.124 -r1.125
--- perl-module.eclass	22 Apr 2010 11:43:30 -0000	1.124
+++ perl-module.eclass	16 Jun 2010 08:54:46 -0000	1.125
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.124 2010/04/22 11:43:30 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.125 2010/06/16 08:54:46 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -310,10 +310,10 @@
 perl_delete_packlist() {
 	debug-print-function $FUNCNAME "$@"
 	perl_set_version
-	if [[ -d ${D}/${VENDOR_LIB} ]] ; then
-		find "${D}/${VENDOR_LIB}" -type f -a \( -name .packlist \
+	if [[ -d ${D}/${VENDOR_ARCH} ]] ; then
+		find "${D}/${VENDOR_ARCH}" -type f -a \( -name .packlist \
 			-o \( -name '*.bs' -a -empty \) \) -delete
-		find "${D}/${VENDOR_LIB}" -depth -mindepth 1 -type d -empty -delete
+		find "${D}" -depth -mindepth 1 -type d -empty -delete
 	fi
 }
 






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2010-02-03  0:20 Hanno Boeck (hanno)
  0 siblings, 0 replies; 22+ messages in thread
From: Hanno Boeck (hanno) @ 2010-02-03  0:20 UTC (permalink / raw
  To: gentoo-commits

hanno       10/02/03 00:20:07

  Modified:             perl-module.eclass
  Log:
  fix perl-module license

Revision  Changes    Path
1.122                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.122&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.122&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.121&r2=1.122

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.121
retrieving revision 1.122
diff -u -r1.121 -r1.122
--- perl-module.eclass	13 Jan 2010 15:15:45 -0000	1.121
+++ perl-module.eclass	3 Feb 2010 00:20:07 -0000	1.122
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.121 2010/01/13 15:15:45 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.122 2010/02/03 00:20:07 hanno Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -39,7 +39,7 @@
 
 DESCRIPTION="Based on the $ECLASS eclass"
 
-LICENSE="${LICENSE:-|| ( Artistic GPL-2 )}"
+LICENSE="${LICENSE:-|| ( Artistic GPL-1 GPL-2 GPL-3 )}"
 
 [[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && MODULE_A="${MY_P:-${P}}.tar.gz"
 [[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2010-01-13 15:15 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2010-01-13 15:15 UTC (permalink / raw
  To: gentoo-commits

tove        10/01/13 15:15:45

  Modified:             perl-module.eclass
  Log:
  Apply PATCHES again.

Revision  Changes    Path
1.121                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.121&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.121&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.120&r2=1.121

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.120
retrieving revision 1.121
diff -u -r1.120 -r1.121
--- perl-module.eclass	24 Nov 2009 09:16:49 -0000	1.120
+++ perl-module.eclass	13 Jan 2010 15:15:45 -0000	1.121
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.120 2009/11/24 09:16:49 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.121 2010/01/13 15:15:45 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -62,14 +62,12 @@
 perlinfo_done=false
 
 perl-module_src_unpack() {
-	base_src_unpack unpack
+	base_src_unpack
 	has src_prepare ${PERL_EXPF} || perl-module_src_prepare
 }
 
 perl-module_src_prepare() {
-	if [[ -n ${PATCHES} ]] ; then
-		base_src_unpack autopatch
-	fi
+	has src_prepare ${PERL_EXPF} && base_src_prepare
 	esvn_clean
 }
 






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-11-24  9:16 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-11-24  9:16 UTC (permalink / raw
  To: gentoo-commits

tove        09/11/24 09:16:50

  Modified:             perl-module.eclass
  Log:
  Print a warning if Module::Build is used but not in DEPEND

Revision  Changes    Path
1.120                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.120&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.120&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.119&r2=1.120

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.119
retrieving revision 1.120
diff -u -r1.119 -r1.120
--- perl-module.eclass	14 Nov 2009 08:58:50 -0000	1.119
+++ perl-module.eclass	24 Nov 2009 09:16:49 -0000	1.120
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.119 2009/11/14 08:58:50 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.120 2009/11/24 09:16:49 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -89,6 +89,10 @@
 
 	if [[ ${PREFER_BUILDPL} == yes && -f Build.PL ]] ; then
 		einfo "Using Module::Build"
+		if [[ ${DEPEND} != *virtual/perl-Module-Build* && ${PN} != Module-Build ]] ; then
+			ewarn "QA Notice: The ebuild uses Module::Build but doesn't depend on it."
+			ewarn "           Add virtual/perl-Module-Build to DEPEND!"
+		fi
 		perl Build.PL \
 			--installdirs=vendor \
 			--libdoc= \






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-11-10 12:53 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-11-10 12:53 UTC (permalink / raw
  To: gentoo-commits

tove        09/11/10 12:53:54

  Modified:             perl-module.eclass
  Log:
  Add trailing slash to HOMEPAGE link (#292268)

Revision  Changes    Path
1.118                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.118&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.118&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.117&r2=1.118

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.117
retrieving revision 1.118
diff -u -r1.117 -r1.118
--- perl-module.eclass	27 Sep 2009 07:00:32 -0000	1.117
+++ perl-module.eclass	10 Nov 2009 12:53:53 -0000	1.118
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.117 2009/09/27 07:00:32 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.118 2009/11/10 12:53:53 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -45,7 +45,7 @@
 [[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \
 	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION}/${MODULE_A}"
 [[ -z "${HOMEPAGE}" ]] && \
-	HOMEPAGE="http://search.cpan.org/dist/${MY_PN:-${PN}}"
+	HOMEPAGE="http://search.cpan.org/dist/${MY_PN:-${PN}}/"
 
 SRC_PREP="no"
 SRC_TEST="skip"






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-09-27  7:00 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-09-27  7:00 UTC (permalink / raw
  To: gentoo-commits

tove        09/09/27 07:00:33

  Modified:             perl-module.eclass
  Log:
  Uses alternatives.eclass for dual life scripts, SRC_TEST=parallel for parallel testing and TEST_VERBOSE=1 to show details of test execution

Revision  Changes    Path
1.117                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.117&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.117&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.116&r2=1.117

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.116
retrieving revision 1.117
diff -u -r1.116 -r1.117
--- perl-module.eclass	29 Mar 2009 17:32:31 -0000	1.116
+++ perl-module.eclass	27 Sep 2009 07:00:32 -0000	1.117
@@ -1,6 +1,6 @@
-# Copyright 1999-2004 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.116 2009/03/29 17:32:31 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.117 2009/09/27 07:00:32 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -13,13 +13,18 @@
 # modules, and their incorporation into the Gentoo Linux system.
 
 inherit eutils base
+[[ ${CATEGORY} == "perl-core" ]] && inherit alternatives
+
+PERL_EXPF="src_unpack src_compile src_test src_install"
 
 case "${EAPI:-0}" in
 	0|1)
-		EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm src_compile src_install src_test src_unpack
+		PERL_EXPF="${PERL_EXPF} pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm"
 		;;
 	2)
-		EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_test src_install
+		PERL_EXPF="${PERL_EXPF} src_prepare src_configure"
+		[[ ${CATEGORY} == "perl-core" ]] && \
+			PERL_EXPF="${PERL_EXPF} pkg_postinst pkg_postrm"
 
 		case "${GENTOO_DEPEND_ON_PERL:-yes}" in
 			yes)
@@ -30,6 +35,8 @@
 		;;
 esac
 
+EXPORT_FUNCTIONS ${PERL_EXPF}
+
 DESCRIPTION="Based on the $ECLASS eclass"
 
 LICENSE="${LICENSE:-|| ( Artistic GPL-2 )}"
@@ -56,7 +63,7 @@
 
 perl-module_src_unpack() {
 	base_src_unpack unpack
-	has "${EAPI:-0}" 0 1 && perl-module_src_prepare
+	has src_prepare ${PERL_EXPF} || perl-module_src_prepare
 }
 
 perl-module_src_prepare() {
@@ -71,7 +78,7 @@
 }
 
 perl-module_src_prep() {
-	[[ "${SRC_PREP}" = "yes" ]] && return 0
+	[[ ${SRC_PREP} = yes ]] && return 0
 	SRC_PREP="yes"
 
 	${perlinfo_done} || perlinfo
@@ -80,7 +87,7 @@
 	# Disable ExtUtils::AutoInstall from prompting
 	export PERL_EXTUTILS_AUTOINSTALL="--skipdeps"
 
-	if [[ "${PREFER_BUILDPL}" == "yes" && -f Build.PL ]] ; then
+	if [[ ${PREFER_BUILDPL} == yes && -f Build.PL ]] ; then
 		einfo "Using Module::Build"
 		perl Build.PL \
 			--installdirs=vendor \
@@ -110,7 +117,7 @@
 perl-module_src_compile() {
 	${perlinfo_done} || perlinfo
 
-	has "${EAPI:-0}" 0 1 && perl-module_src_prep
+	has src_configure ${PERL_EXPF} || perl-module_src_prep
 
 	if [[ -f Build ]] ; then
 		./Build build \
@@ -124,13 +131,38 @@
 	fi
 }
 
+# For testers:
+#  This code attempts to work out your threadingness from MAKEOPTS
+#  and apply them to Test::Harness.
+#
+#  If you want more verbose testing, set TEST_VERBOSE=1
+#  in your bashrc | /etc/make.conf | ENV
+#
+# For ebuild writers:
+#  If you wish to enable default tests w/ 'make test' ,
+#
+#   SRC_TEST="do"
+#
+#  If you wish to have threads run in parallel ( using the users makeopts )
+#  all of the following have been tested to work.
+#
+#   SRC_TEST="do parallel"
+#   SRC_TEST="parallel"
+#   SRC_TEST="parallel do"
+#   SRC_TEST=parallel
+#
+
 perl-module_src_test() {
-	if [[ "${SRC_TEST}" == "do" ]] ; then
+	if has 'do' ${SRC_TEST} || has 'parallel' ${SRC_TEST} ; then
+		if has "${TEST_VERBOSE:-0}" 0 && has 'parallel' ${SRC_TEST} ; then
+			export HARNESS_OPTIONS=j$(echo -j1 ${MAKEOPTS} | sed -r "s/.*(-j\s*|--jobs=)([0-9]+).*/\2/" )
+			einfo "Test::Harness Jobs=${HARNESS_OPTIONS}"
+		fi
 		${perlinfo_done} || perlinfo
 		if [[ -f Build ]] ; then
-			./Build test || die "test failed"
+			./Build test verbose=${TEST_VERBOSE:-0} || die "test failed"
 		elif [[ -f Makefile ]] ; then
-			emake test || die "test failed"
+			emake test TEST_VERBOSE=${TEST_VERBOSE:-0} || die "test failed"
 		fi
 	fi
 }
@@ -162,11 +194,11 @@
 
 	fixlocalpod
 
-	for f in Change* CHANGES README* ${mydoc}; do
-		[[ -s "${f}" ]] && dodoc ${f}
+	for f in Change* CHANGES README* TODO ${mydoc}; do
+		[[ -s ${f} ]] && dodoc ${f}
 	done
 
-	if [[ -d "${D}/${VENDOR_LIB}" ]] ; then
+	if [[ -d ${D}/${VENDOR_LIB} ]] ; then
 		find "${D}/${VENDOR_LIB}" -type f -a \( -name .packlist \
 			-o \( -name '*.bs' -a -empty \) \) -delete
 		find "${D}/${VENDOR_LIB}" -depth -mindepth 1 -type d -empty -delete
@@ -174,10 +206,12 @@
 
 	find "${D}" -type f -not -name '*.so' -print0 | while read -rd '' f ; do
 		if file "${f}" | grep -q -i " text" ; then
-if grep -q "${D}" "${f}" ; then ewarn "QA: File contains a temporary path ${f}" ;fi
+			grep -q "${D}" "${f}" && ewarn "QA: File contains a temporary path ${f}"
 			sed -i -e "s:${D}:/:g" "${f}"
 		fi
 	done
+
+	linkduallifescripts
 }
 
 perl-module_pkg_setup() {
@@ -188,20 +222,21 @@
 	${perlinfo_done} || perlinfo
 }
 
-perl-module_pkg_postinst() { : ; }
-#	einfo "Man pages are not installed for most modules now."
-#	einfo "Please use perldoc instead."
-#}
+perl-module_pkg_postinst() {
+	linkduallifescripts
+}
 
 perl-module_pkg_prerm() { : ; }
 
-perl-module_pkg_postrm() { : ; }
+perl-module_pkg_postrm() {
+	linkduallifescripts
+}
 
 perlinfo() {
 	perlinfo_done=true
 
-	local f version install{site{arch,lib},archlib,vendor{arch,lib}}
-	for f in version install{site{arch,lib},archlib,vendor{arch,lib}} ; do
+	local f version install{{site,vendor}{arch,lib},archlib}
+	for f in version install{{site,vendor}{arch,lib},archlib} ; do
 		eval "$(perl -V:${f} )"
 	done
 	PERL_VERSION=${version}
@@ -216,3 +251,29 @@
 	find "${D}" -type f -name perllocal.pod -delete
 	find "${D}" -depth -mindepth 1 -type d -empty -delete
 }
+
+linkduallifescripts() {
+	if [[ ${CATEGORY} != perl-core ]] || ! has_version ">=dev-lang/perl-5.10.1" ; then
+		return 0
+	fi
+
+	local i ff
+	if has "${EBUILD_PHASE:-none}" "postinst" "postrm" ; then
+		for i in "${DUALLIFESCRIPTS[@]}" ; do
+			alternatives_auto_makesym "/usr/bin/${i}" "/usr/bin/${i}-[0-9]*"
+			ff=`echo "${ROOT}"/usr/share/man/man1/${i}-${PV}-${P}.1*`
+			ff=${ff##*.1}
+			alternatives_auto_makesym "/usr/share/man/man1/${i}.1${ff}" "/usr/share/man/man1/${i}-[0-9]*"
+		done
+	else
+		pushd "${D}" > /dev/null
+		for i in $(find usr/bin -maxdepth 1 -type f 2>/dev/null) ; do
+			mv ${i}{,-${PV}-${P}} || die
+			DUALLIFESCRIPTS[${#DUALLIFESCRIPTS[*]}]=${i##*/}
+			if [[ -f usr/share/man/man1/${i##*/}.1 ]] ; then
+				mv usr/share/man/man1/${i##*/}{.1,-${PV}-${P}.1} || die
+			fi
+		done
+		popd > /dev/null
+	fi
+}






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-03-29 17:32 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-03-29 17:32 UTC (permalink / raw
  To: gentoo-commits

tove        09/03/29 17:32:31

  Modified:             perl-module.eclass
  Log:
  Remove --extra_linker_flags (#264155,#264186) again

Revision  Changes    Path
1.116                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.116&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.116&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.115&r2=1.116

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.115
retrieving revision 1.116
diff -u -r1.115 -r1.116
--- perl-module.eclass	26 Mar 2009 17:40:23 -0000	1.115
+++ perl-module.eclass	29 Mar 2009 17:32:31 -0000	1.116
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.115 2009/03/26 17:40:23 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.116 2009/03/29 17:32:31 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -87,7 +87,6 @@
 			--libdoc= \
 			--destdir="${D}" \
 			--create_packlist=0 \
-			--extra_linker_flags="${LDFLAGS}" \
 			${myconf} \
 			<<< "${pm_echovar}" \
 				|| die "Unable to build! (are you using USE=\"build\"?)"






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-03-26 17:40 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-03-26 17:40 UTC (permalink / raw
  To: gentoo-commits

tove        09/03/26 17:40:23

  Modified:             perl-module.eclass
  Log:
  Fix quoting of pm_echovar (#263671)

Revision  Changes    Path
1.115                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.115&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.115&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.114&r2=1.115

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.114
retrieving revision 1.115
diff -u -r1.114 -r1.115
--- perl-module.eclass	11 Mar 2009 06:36:45 -0000	1.114
+++ perl-module.eclass	26 Mar 2009 17:40:23 -0000	1.115
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.114 2009/03/11 06:36:45 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.115 2009/03/26 17:40:23 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -89,7 +89,7 @@
 			--create_packlist=0 \
 			--extra_linker_flags="${LDFLAGS}" \
 			${myconf} \
-			<<< ${pm_echovar} \
+			<<< "${pm_echovar}" \
 				|| die "Unable to build! (are you using USE=\"build\"?)"
 	elif [[ -f Makefile.PL ]] ; then
 		einfo "Using ExtUtils::MakeMaker"
@@ -99,7 +99,7 @@
 			INSTALLMAN3DIR='none' \
 			DESTDIR="${D}" \
 			${myconf} \
-			<<< ${pm_echovar} \
+			<<< "${pm_echovar}" \
 				|| die "Unable to build! (are you using USE=\"build\"?)"
 	fi
 	if [[ ! -f Build.PL && ! -f Makefile.PL ]] ; then
@@ -155,9 +155,11 @@
 			|| die "emake ${myinst} ${mytargets} failed"
 	fi
 
-#	einfo "Cleaning out stray man files"
-	find "${D}" -type f -name "*.3pm" -delete
-	find "${D}"/usr/share/man -depth -type d -empty -delete 2>/dev/null
+	if [[ -d "${D}"/usr/share/man ]] ; then
+#		einfo "Cleaning out stray man files"
+		find "${D}"/usr/share/man -type f -name "*.3pm" -delete
+		find "${D}"/usr/share/man -depth -type d -empty -delete
+	fi
 
 	fixlocalpod
 
@@ -165,9 +167,11 @@
 		[[ -s "${f}" ]] && dodoc ${f}
 	done
 
-	find "${D}/${VENDOR_LIB}" -type f -a \( -name .packlist \
-		-o \( -name '*.bs' -a -empty \) \) -delete
-	find "${D}/${VENDOR_LIB}" -depth -mindepth 1 -type d -empty -delete
+	if [[ -d "${D}/${VENDOR_LIB}" ]] ; then
+		find "${D}/${VENDOR_LIB}" -type f -a \( -name .packlist \
+			-o \( -name '*.bs' -a -empty \) \) -delete
+		find "${D}/${VENDOR_LIB}" -depth -mindepth 1 -type d -empty -delete
+	fi
 
 	find "${D}" -type f -not -name '*.so' -print0 | while read -rd '' f ; do
 		if file "${f}" | grep -q -i " text" ; then






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-03-11  6:36 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-03-11  6:36 UTC (permalink / raw
  To: gentoo-commits

tove        09/03/11 06:36:45

  Modified:             perl-module.eclass
  Log:
  Set mytargets depending on CATEGORY (#262037)

Revision  Changes    Path
1.114                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.114&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.114&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.113&r2=1.114

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.113
retrieving revision 1.114
diff -u -r1.113 -r1.114
--- perl-module.eclass	6 Mar 2009 11:42:41 -0000	1.113
+++ perl-module.eclass	11 Mar 2009 06:36:45 -0000	1.114
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.113 2009/03/06 11:42:41 tove Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.114 2009/03/11 06:36:45 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 
@@ -140,7 +140,12 @@
 	local f
 	${perlinfo_done} || perlinfo
 
-	[[ -z ${mytargets} ]] && mytargets="pure_install"
+	if [[ -z ${mytargets} ]] ; then
+		case "${CATEGORY}" in
+			dev-perl|perl-core) mytargets="pure_install" ;;
+			*)                  mytargets="install" ;;
+		esac
+	fi
 
 	if [[ -f Build ]] ; then
 		./Build ${mytargets} \






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2009-03-06 11:42 Torsten Veller (tove)
  0 siblings, 0 replies; 22+ messages in thread
From: Torsten Veller (tove) @ 2009-03-06 11:42 UTC (permalink / raw
  To: gentoo-commits

tove        09/03/06 11:42:41

  Modified:             perl-module.eclass
  Log:
  - EAPI 2 support
  - GENTOO_DEPEND_ON_PERL
  - default license
  - reduced EXPORT_FUNCTIONS for EAPI=2
  - HOMEPAGE changed
  - LDFLAGS support
  - quoting
  - removes updatepod()
  - removes .packlist files
  - removes empty *.bs files
  - removed BUILDER_VER stuff
  - use emake
  - call perlinfo only once
  
  <https://bugs.gentoo.org/239510>
  <http://mid.gmane.org/20090305144741.GA6491@veller.net>

Revision  Changes    Path
1.113                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.113&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.113&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.112&r2=1.113

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.112
retrieving revision 1.113
diff -u -r1.112 -r1.113
--- perl-module.eclass	30 Sep 2008 08:28:44 -0000	1.112
+++ perl-module.eclass	6 Mar 2009 11:42:41 -0000	1.113
@@ -1,102 +1,44 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.112 2008/09/30 08:28:44 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.113 2009/03/06 11:42:41 tove Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
-# Maintained by the Perl herd <perl@gentoo.org>
-#
+
+# @ECLASS: perl-module.eclass
+# @MAINTAINER:
+# perl@gentoo.org
+# @BLURB: eclass for perl modules
+# @DESCRIPTION:
 # The perl-module eclass is designed to allow easier installation of perl
 # modules, and their incorporation into the Gentoo Linux system.
 
-inherit base
+inherit eutils base
 
-EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm src_compile src_install src_test src_unpack
+case "${EAPI:-0}" in
+	0|1)
+		EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm src_compile src_install src_test src_unpack
+		;;
+	2)
+		EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_test src_install
+
+		case "${GENTOO_DEPEND_ON_PERL:-yes}" in
+			yes)
+				DEPEND="dev-lang/perl[-build]"
+				RDEPEND="${DEPEND}"
+				;;
+		esac
+		;;
+esac
 
-# 2005.04.28 mcummings
-# Mounting problems with src_test functions has forced me to make the
-# compilation of perl modules honor the FEATURES maketest flag rather than what
-# is generally necessary. I've left a block to make sure we still need to set
-# the SRC_TEST="do" flag on the suspicion that otherwise we will face 10 times
-# as many bug reports as we have lately.
-#
-# 2004.05.10 rac
-# block on makemaker versions earlier than that in the 5.8.2 core. in
-# actuality, this should be handled in the perl ebuild, so every perl
-# ebuild should block versions of MakeMaker older than the one it
-# carries. in the meantime, since we have dumped support for MakeMaker
-# <6.11 and the associated broken DESTDIR handling, block here to save
-# people from sandbox trouble.
-#
-# 2004.05.25 rac
-# for the same reasons, make the perl dep >=5.8.2 to get everybody
-# with 5.8.0 and its 6.03 makemaker up to a version that can
-# understand DESTDIR
-#
-# 2004.10.01 mcummings
-# noticed a discrepancy in how we were sed fixing references to ${D}
-#
-# 2005.03.14 mcummings
-# Updated eclass to include a specific function for dealing with perlocal.pods -
-# this should avoid the conflicts we've been running into with the introduction
-# of file collision features by giving us a single exportable function to deal
-# with the pods. Modifications to the eclass provided by Yaakov S
-# <yselkowitz@hotmail.com> in bug 83622
-#
-# <later the same day>
-# The long awaited (by me) fix for automagically detecting and dealing
-# with module-build dependancies. I've chosen not to make it a default dep since
-# this adds overhead to people that might not otherwise need it, and instead
-# modified the eclass to detect the existence of a Build.PL and behave
-# accordingly. This will fix issues with g-cpan builds that needs module-build
-# support, as well as get rid of the (annoying) style=builder vars. I know of
-# only one module that needed to be hacked for this, Class-MethodMaker-2.05, but
-# that module has a bad Build.PL to begin with. Ebuilds should continue to
-# DEPEND on module-build<-version> as needed, but there should be no need for
-# the style directive any more (especially since it isn't in the eclass
-# anymore). Enjoy!
-#
-# 2005.07.18 mcummings
-# Fix for proper handling of $mydoc - thanks to stkn for noticing we were
-# bombing out there
-#
-# 2005.07.19 mcummings
-# Providing an override var for the use of Module::Build. While it is being
-# incorporated in more and more modules, not all module authors have working
-# Build.PL's in place. The override is to allow for a fallback to the "classic"
-# Makfile.PL - example is Class::MethodMaker, which provides a Build.PL that is
-# severely broken.
-#
-# 2006.02.11 mcummings
-# Per a conversation with solar, adding a change to the dep/rdep lines for
-# minimal. Should fix bug 68367 and bug 83622, as well as other embedded builds
-# that use perl components without providing perl
-#
-# 2006.06.13 mcummings
-# I've reordered and extended the logic on when to invoke module-build versus
-# MakeMaker. The problem that has arisen is that some modules provide a
-# Makefile.PL that passes all arguments on to a Build.PL - including PREFIX,
-# which causes module-build to build with a target of /usr/usr/
-# (how broken is that?). Current logic is if there is a Build.PL and we aren't
-# overriding, use it; otherwise use the Makefile.PL; otherwise return (maybe we
-# want all the functionality of the perl-module eclass without needing to
-# compile??).
-#
-# 2007.08.19 ian
-# Added ${myconf} - bug #176818
-#
-# 2007.10.17 robbat2
-# Added the 'MODULE_AUTHOR' variable. Set it before inheriting the eclass
-# and it will set your HOMEPAGE and SRC_URI correctly for a CPAN package.
-#
-# 2008.09.30 robbat2
-# MODULE_A enables variations other than .tar.gz easily. Also Use MY_P if set
-# for MODULE_A and MY_PN in HOMEPAGE, as suggested by tove. 
+DESCRIPTION="Based on the $ECLASS eclass"
+
+LICENSE="${LICENSE:-|| ( Artistic GPL-2 )}"
 
-[ -z "${SRC_URI}" -a -z "${MODULE_A}" ] && MODULE_A="${MY_P:-${P}}.tar.gz"
-[ -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ] && \
+[[ -z "${SRC_URI}" && -z "${MODULE_A}" ]] && MODULE_A="${MY_P:-${P}}.tar.gz"
+[[ -z "${SRC_URI}" && -n "${MODULE_AUTHOR}" ]] && \
 	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION}/${MODULE_A}"
-[ -z "${HOMEPAGE}" ] && \
-	HOMEPAGE="http://search.cpan.org/search?query=${MY_PN:-${PN}}&mode=dist"
+[[ -z "${HOMEPAGE}" ]] && \
+	HOMEPAGE="http://search.cpan.org/dist/${MY_PN:-${PN}}"
 
 SRC_PREP="no"
 SRC_TEST="skip"
@@ -105,212 +47,164 @@
 PERL_VERSION=""
 SITE_ARCH=""
 SITE_LIB=""
-VENDOR_LIB=""
-VENDOR_ARCH=""
 ARCH_LIB=""
-POD_DIR=""
-BUILDER_VER=""
+VENDOR_ARCH=""
+VENDOR_LIB=""
+
 pm_echovar=""
+perlinfo_done=false
 
 perl-module_src_unpack() {
-	if [[ -n ${PATCHES} ]]; then
-		base_src_unpack unpack
+	base_src_unpack unpack
+	has "${EAPI:-0}" 0 1 && perl-module_src_prepare
+}
+
+perl-module_src_prepare() {
+	if [[ -n ${PATCHES} ]] ; then
 		base_src_unpack autopatch
-	else
-		base_src_unpack unpack
 	fi
+	esvn_clean
+}
+
+perl-module_src_configure() {
+	perl-module_src_prep
 }
 
 perl-module_src_prep() {
+	[[ "${SRC_PREP}" = "yes" ]] && return 0
+	SRC_PREP="yes"
 
-	perlinfo
+	${perlinfo_done} || perlinfo
 
 	export PERL_MM_USE_DEFAULT=1
 	# Disable ExtUtils::AutoInstall from prompting
 	export PERL_EXTUTILS_AUTOINSTALL="--skipdeps"
 
-
-	SRC_PREP="yes"
-	find ${S} -type d -name "\.svn" -exec /bin/rm -rf {} \; 2>/dev/null
-	if [ "${PREFER_BUILDPL}" == "yes" ] && ( [ -f Build.PL ] || [ ${PN} == "module-build" ] ); then
+	if [[ "${PREFER_BUILDPL}" == "yes" && -f Build.PL ]] ; then
 		einfo "Using Module::Build"
-		echo "$pm_echovar" | perl Build.PL ${myconf} --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
-	elif [ -f Makefile.PL ] && [ ! ${PN} == "module-build" ]; then
+		perl Build.PL \
+			--installdirs=vendor \
+			--libdoc= \
+			--destdir="${D}" \
+			--create_packlist=0 \
+			--extra_linker_flags="${LDFLAGS}" \
+			${myconf} \
+			<<< ${pm_echovar} \
+				|| die "Unable to build! (are you using USE=\"build\"?)"
+	elif [[ -f Makefile.PL ]] ; then
 		einfo "Using ExtUtils::MakeMaker"
-		echo "$pm_echovar" | perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
-		PREFIX=/usr INSTALLDIRS=vendor DESTDIR=${D} || die "Unable to build! (are you using USE=\"build\"?)"
+		perl Makefile.PL \
+			PREFIX=/usr \
+			INSTALLDIRS=vendor \
+			INSTALLMAN3DIR='none' \
+			DESTDIR="${D}" \
+			${myconf} \
+			<<< ${pm_echovar} \
+				|| die "Unable to build! (are you using USE=\"build\"?)"
 	fi
-	if [ ! -f Build.PL ] && [ ! -f Makefile.PL ]; then
+	if [[ ! -f Build.PL && ! -f Makefile.PL ]] ; then
 		einfo "No Make or Build file detected..."
 		return
 	fi
 }
 
 perl-module_src_compile() {
+	${perlinfo_done} || perlinfo
 
-	perlinfo
-	[ "${SRC_PREP}" != "yes" ] && perl-module_src_prep
-	if [ -f Makefile ]; then
-		make ${mymake} || die "compilation failed"
-	elif [ -f Build ]; then
-		perl Build build || die "compilation failed"
-	fi
-	fixlocalpod
+	has "${EAPI:-0}" 0 1 && perl-module_src_prep
 
+	if [[ -f Build ]] ; then
+		./Build build \
+			|| die "compilation failed"
+	elif [[ -f Makefile ]] ; then
+		emake \
+			OTHERLDFLAGS="${LDFLAGS}" \
+			${mymake} \
+				|| die "compilation failed"
+#			OPTIMIZE="${CFLAGS}" \
+	fi
 }
 
 perl-module_src_test() {
-	if [ "${SRC_TEST}" == "do" ]; then
-		perlinfo
-		if [ -f Makefile ]; then
-			make test || die "test failed"
-		elif [ -f Build ]; then
-			perl Build  test || die "test failed"
+	if [[ "${SRC_TEST}" == "do" ]] ; then
+		${perlinfo_done} || perlinfo
+		if [[ -f Build ]] ; then
+			./Build test || die "test failed"
+		elif [[ -f Makefile ]] ; then
+			emake test || die "test failed"
 		fi
 	fi
 }
 
 perl-module_src_install() {
+	local f
+	${perlinfo_done} || perlinfo
 
-	perlinfo
-
-	test -z ${mytargets} && mytargets="install"
-
-	if [ -f Makefile ]; then
-		make ${myinst} ${mytargets} || die
-	elif [ -f Build ]; then
-		perl ${S}/Build install
-	fi
-
+	[[ -z ${mytargets} ]] && mytargets="pure_install"
 
-	einfo "Cleaning out stray man files"
-	for FILE in `find ${D} -type f -name "*.3pm*"`; do
-		rm -rf ${FILE}
-	done
-	find ${D}/usr/share/man -depth -type d 2>/dev/null | xargs -r rmdir 2>/dev/null
+	if [[ -f Build ]] ; then
+		./Build ${mytargets} \
+			|| die "./Build ${mytargets} failed"
+	elif [[ -f Makefile ]] ; then
+		emake ${myinst} ${mytargets} \
+			|| die "emake ${myinst} ${mytargets} failed"
+	fi
+
+#	einfo "Cleaning out stray man files"
+	find "${D}" -type f -name "*.3pm" -delete
+	find "${D}"/usr/share/man -depth -type d -empty -delete 2>/dev/null
 
 	fixlocalpod
 
-	for FILE in `find ${D} -type f |grep -v '.so'`; do
-		STAT=`file $FILE| grep -i " text"`
-		if [ "${STAT}x" != "x" ]; then
-			sed -i -e "s:${D}:/:g" ${FILE}
-		fi
+	for f in Change* CHANGES README* ${mydoc}; do
+		[[ -s "${f}" ]] && dodoc ${f}
 	done
 
-	for doc in Change* MANIFEST* README* ${mydoc}; do
-		[ -s "$doc" ] && dodoc $doc
+	find "${D}/${VENDOR_LIB}" -type f -a \( -name .packlist \
+		-o \( -name '*.bs' -a -empty \) \) -delete
+	find "${D}/${VENDOR_LIB}" -depth -mindepth 1 -type d -empty -delete
+
+	find "${D}" -type f -not -name '*.so' -print0 | while read -rd '' f ; do
+		if file "${f}" | grep -q -i " text" ; then
+if grep -q "${D}" "${f}" ; then ewarn "QA: File contains a temporary path ${f}" ;fi
+			sed -i -e "s:${D}:/:g" "${f}"
+		fi
 	done
 }
 
-
 perl-module_pkg_setup() {
-
-	perlinfo
+	${perlinfo_done} || perlinfo
 }
 
-
 perl-module_pkg_preinst() {
-
-	perlinfo
+	${perlinfo_done} || perlinfo
 }
 
-perl-module_pkg_postinst() {
+perl-module_pkg_postinst() { : ; }
+#	einfo "Man pages are not installed for most modules now."
+#	einfo "Please use perldoc instead."
+#}
 
-	einfo "Man pages are not installed for most modules now."
-	einfo "Please use perldoc instead."
-	updatepod
-}
+perl-module_pkg_prerm() { : ; }
 
-perl-module_pkg_prerm() {
-
-	updatepod
-}
-
-perl-module_pkg_postrm() {
-
-	updatepod
-}
+perl-module_pkg_postrm() { : ; }
 
 perlinfo() {
+	perlinfo_done=true
 
-	local version
-	eval `perl '-V:version'`
+	local f version install{site{arch,lib},archlib,vendor{arch,lib}}
+	for f in version install{site{arch,lib},archlib,vendor{arch,lib}} ; do
+		eval "$(perl -V:${f} )"
+	done
 	PERL_VERSION=${version}
-
-	local installsitearch
-	eval `perl '-V:installsitearch'`
 	SITE_ARCH=${installsitearch}
-
-	local installsitelib
-	eval `perl '-V:installsitelib'`
 	SITE_LIB=${installsitelib}
-
-	local installarchlib
-	eval `perl '-V:installarchlib'`
 	ARCH_LIB=${installarchlib}
-
-	local installvendorlib
-	eval `perl '-V:installvendorlib'`
 	VENDOR_LIB=${installvendorlib}
-
-	local installvendorarch
-	eval `perl '-V:installvendorarch'`
 	VENDOR_ARCH=${installvendorarch}
-
-	if [ "${PREFER_BUILDPL}" == "yes" ]; then
-		if [ ! -f ${S}/Makefile.PL ] || [ ${PN} == "module-build" ]; then
-			if [ -f ${S}/Build.PL ]; then
-				if [ ${PN} == "module-build" ]; then
-					BUILDER_VER="1" # A bootstrapping if you will
-				else
-					BUILDER_VER=`perl -MModule::Build -e 'print "$Module::Build::VERSION;"' `
-				fi
-			fi
-		fi
-	fi
-
-	if [ -f /usr/bin/perl ]
-	then
-		POD_DIR="/usr/share/perl/gentoo-pods/${version}"
-	fi
 }
 
 fixlocalpod() {
-	perlinfo
-
-	if [ -f ${D}${ARCH_LIB}/perllocal.pod ];
-	then
-		rm -f ${D}/${ARCH_LIB}/perllocal.pod
-	fi
-
-	if [ -f ${D}${SITE_LIB}/perllocal.pod ];
-	then
-		rm -f ${D}/${SITE_LIB}/perllocal.pod
-	fi
-
-	if [ -f ${D}${VENDOR_LIB}/perllocal.pod ];
-	then
-		rm -f ${D}/${VENDOR_LIB}/perllocal.pod
-	fi
-}
-
-updatepod() {
-	perlinfo
-
-	if [ -d "${POD_DIR}" ]
-	then
-		for FILE in `find ${POD_DIR} -type f -name "*.pod.arch"`; do
-			cat ${FILE} >> ${ARCH_LIB}/perllocal.pod
-			rm -f ${FILE}
-		done
-		for FILE in `find ${POD_DIR} -type f -name "*.pod.site"`; do
-			cat ${FILE} >> ${SITE_LIB}/perllocal.pod
-			rm -f ${FILE}
-		done
-		for FILE in `find ${POD_DIR} -type f -name "*.pod.vendor"`; do
-			cat ${FILE} >> ${VENDOR_LIB}/perllocal.pod
-			rm -f ${FILE}
-		done
-	fi
+	find "${D}" -type f -name perllocal.pod -delete
+	find "${D}" -depth -mindepth 1 -type d -empty -delete
 }






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2008-09-30  8:28 Robin H. Johnson (robbat2)
  0 siblings, 0 replies; 22+ messages in thread
From: Robin H. Johnson (robbat2) @ 2008-09-30  8:28 UTC (permalink / raw
  To: gentoo-commits

robbat2     08/09/30 08:28:45

  Modified:             perl-module.eclass
  Log:
  Add a little bit more magic into perl-module. Now has direct support for MY_P/MY_PN/MODULE_A to help simplify the ebuilds.

Revision  Changes    Path
1.112                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.112&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.112&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.111&r2=1.112

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.111
retrieving revision 1.112
diff -p -w -b -B -u -u -r1.111 -r1.112
--- perl-module.eclass	6 Feb 2008 02:39:04 -0000	1.111
+++ perl-module.eclass	30 Sep 2008 08:28:44 -0000	1.112
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.111 2008/02/06 02:39:04 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.112 2008/09/30 08:28:44 robbat2 Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 # Maintained by the Perl herd <perl@gentoo.org>
@@ -87,10 +87,16 @@ EXPORT_FUNCTIONS pkg_setup pkg_preinst p
 # 2007.10.17 robbat2
 # Added the 'MODULE_AUTHOR' variable. Set it before inheriting the eclass
 # and it will set your HOMEPAGE and SRC_URI correctly for a CPAN package.
+#
+# 2008.09.30 robbat2
+# MODULE_A enables variations other than .tar.gz easily. Also Use MY_P if set
+# for MODULE_A and MY_PN in HOMEPAGE, as suggested by tove. 
 
+[ -z "${SRC_URI}" -a -z "${MODULE_A}" ] && MODULE_A="${MY_P:-${P}}.tar.gz"
 [ -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ] && \
-	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION}/${P}.tar.gz"
-[ -z "${HOMEPAGE}" ] && HOMEPAGE="http://search.cpan.org/search?query=${PN}&mode=dist"
+	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION}/${MODULE_A}"
+[ -z "${HOMEPAGE}" ] && \
+	HOMEPAGE="http://search.cpan.org/search?query=${MY_PN:-${PN}}&mode=dist"
 
 SRC_PREP="no"
 SRC_TEST="skip"






^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2008-02-06  2:39 Robin H. Johnson (robbat2)
  0 siblings, 0 replies; 22+ messages in thread
From: Robin H. Johnson (robbat2) @ 2008-02-06  2:39 UTC (permalink / raw
  To: gentoo-commits

robbat2     08/02/06 02:39:04

  Modified:             perl-module.eclass
  Log:
  Improve the automatic HOMEPAGE/SRC_URI code that is powered by MODULE_AUTHOR. New variable MODULE_SECTION for some prolific authors, and also use the CPAN search as the homepage rather than the MODULE_AUTHOR page.

Revision  Changes    Path
1.111                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.111&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.111&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.110&r2=1.111

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.110
retrieving revision 1.111
diff -p -w -b -B -u -u -r1.110 -r1.111
--- perl-module.eclass	17 Oct 2007 08:01:12 -0000	1.110
+++ perl-module.eclass	6 Feb 2008 02:39:04 -0000	1.111
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.110 2007/10/17 08:01:12 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.111 2008/02/06 02:39:04 robbat2 Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 # Maintained by the Perl herd <perl@gentoo.org>
@@ -88,10 +88,9 @@ EXPORT_FUNCTIONS pkg_setup pkg_preinst p
 # Added the 'MODULE_AUTHOR' variable. Set it before inheriting the eclass
 # and it will set your HOMEPAGE and SRC_URI correctly for a CPAN package.
 
-if [ -z "${HOMEPAGE}" -a -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ]; then
-	HOMEPAGE="http://search.cpan.org/~${MODULE_AUTHOR//\/*}/"
-	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${P}.tar.gz"
-fi
+[ -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ] && \
+	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${MODULE_SECTION}/${P}.tar.gz"
+[ -z "${HOMEPAGE}" ] && HOMEPAGE="http://search.cpan.org/search?query=${PN}&mode=dist"
 
 SRC_PREP="no"
 SRC_TEST="skip"



-- 
gentoo-commits@lists.gentoo.org mailing list



^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2007-10-17  8:01 Robin H. Johnson (robbat2)
  0 siblings, 0 replies; 22+ messages in thread
From: Robin H. Johnson (robbat2) @ 2007-10-17  8:01 UTC (permalink / raw
  To: gentoo-commits

robbat2     07/10/17 08:01:12

  Modified:             perl-module.eclass
  Log:
  Make minor tweak to the MODULE_AUTHOR section, for some authors that subdivided their CPAN space.

Revision  Changes    Path
1.110                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.110&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.110&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.109&r2=1.110

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.109
retrieving revision 1.110
diff -u -r1.109 -r1.110
--- perl-module.eclass	17 Oct 2007 07:49:15 -0000	1.109
+++ perl-module.eclass	17 Oct 2007 08:01:12 -0000	1.110
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.109 2007/10/17 07:49:15 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.110 2007/10/17 08:01:12 robbat2 Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 # Maintained by the Perl herd <perl@gentoo.org>
@@ -89,7 +89,7 @@
 # and it will set your HOMEPAGE and SRC_URI correctly for a CPAN package.
 
 if [ -z "${HOMEPAGE}" -a -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ]; then
-	HOMEPAGE="http://search.cpan.org/~${MODULE_AUTHOR}/"
+	HOMEPAGE="http://search.cpan.org/~${MODULE_AUTHOR//\/*}/"
 	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${P}.tar.gz"
 fi
 



-- 
gentoo-commits@gentoo.org mailing list



^ permalink raw reply	[flat|nested] 22+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass
@ 2007-10-17  7:49 Robin H. Johnson (robbat2)
  0 siblings, 0 replies; 22+ messages in thread
From: Robin H. Johnson (robbat2) @ 2007-10-17  7:49 UTC (permalink / raw
  To: gentoo-commits

robbat2     07/10/17 07:49:16

  Modified:             perl-module.eclass
  Log:
  Add the MODULE_AUTHOR variable with documentation, to simplify CPAN ebuilds.

Revision  Changes    Path
1.109                eclass/perl-module.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.109&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?rev=1.109&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/perl-module.eclass?r1=1.108&r2=1.109

Index: perl-module.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v
retrieving revision 1.108
retrieving revision 1.109
diff -u -r1.108 -r1.109
--- perl-module.eclass	20 Aug 2007 08:21:58 -0000	1.108
+++ perl-module.eclass	17 Oct 2007 07:49:15 -0000	1.109
@@ -1,6 +1,6 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.108 2007/08/20 08:21:58 ian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.109 2007/10/17 07:49:15 robbat2 Exp $
 #
 # Author: Seemant Kulleen <seemant@gentoo.org>
 # Maintained by the Perl herd <perl@gentoo.org>
@@ -12,9 +12,6 @@
 
 EXPORT_FUNCTIONS pkg_setup pkg_preinst pkg_postinst pkg_prerm pkg_postrm src_compile src_install src_test src_unpack
 
-# 2007.08.19 ian
-# Added ${myconf} - bug #176818
-#
 # 2005.04.28 mcummings
 # Mounting problems with src_test functions has forced me to make the
 # compilation of perl modules honor the FEATURES maketest flag rather than what
@@ -83,7 +80,18 @@
 # overriding, use it; otherwise use the Makefile.PL; otherwise return (maybe we
 # want all the functionality of the perl-module eclass without needing to
 # compile??).
-
+#
+# 2007.08.19 ian
+# Added ${myconf} - bug #176818
+#
+# 2007.10.17 robbat2
+# Added the 'MODULE_AUTHOR' variable. Set it before inheriting the eclass
+# and it will set your HOMEPAGE and SRC_URI correctly for a CPAN package.
+
+if [ -z "${HOMEPAGE}" -a -z "${SRC_URI}" -a -n "${MODULE_AUTHOR}" ]; then
+	HOMEPAGE="http://search.cpan.org/~${MODULE_AUTHOR}/"
+	SRC_URI="mirror://cpan/authors/id/${MODULE_AUTHOR:0:1}/${MODULE_AUTHOR:0:2}/${MODULE_AUTHOR}/${P}.tar.gz"
+fi
 
 SRC_PREP="no"
 SRC_TEST="skip"



-- 
gentoo-commits@gentoo.org mailing list



^ permalink raw reply	[flat|nested] 22+ messages in thread

end of thread, other threads:[~2014-11-01 22:09 UTC | newest]

Thread overview: 22+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-11-14  8:58 [gentoo-commits] gentoo-x86 commit in eclass: perl-module.eclass Torsten Veller (tove)
  -- strict thread matches above, loose matches on Subject: below --
2014-11-01 22:08 Patrice Clement (monsieurp)
2014-03-30 19:25 Mikle Kolyada (zlogene)
2011-08-09 11:48 Torsten Veller (tove)
2011-01-30  8:18 Torsten Veller (tove)
2011-01-23 22:12 Robin H. Johnson (robbat2)
2011-01-12 15:44 Torsten Veller (tove)
2010-07-15 11:44 Torsten Veller (tove)
2010-06-16  8:54 Torsten Veller (tove)
2010-02-03  0:20 Hanno Boeck (hanno)
2010-01-13 15:15 Torsten Veller (tove)
2009-11-24  9:16 Torsten Veller (tove)
2009-11-10 12:53 Torsten Veller (tove)
2009-09-27  7:00 Torsten Veller (tove)
2009-03-29 17:32 Torsten Veller (tove)
2009-03-26 17:40 Torsten Veller (tove)
2009-03-11  6:36 Torsten Veller (tove)
2009-03-06 11:42 Torsten Veller (tove)
2008-09-30  8:28 Robin H. Johnson (robbat2)
2008-02-06  2:39 Robin H. Johnson (robbat2)
2007-10-17  8:01 Robin H. Johnson (robbat2)
2007-10-17  7:49 Robin H. Johnson (robbat2)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox